group "Product.model"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | 8 elements
Defined: | globally in fpml-shared-5-3.xsd; see XML source
Includes: | definitions of 8 elements
Used: | at 2 locations

Content Model Diagram

Complex Content Model
((primaryAssetClass, secondaryAssetClass*, productType*, productId*) | (((productType+, productId*) | productId+), assetClass*))?

Content Model Elements (8):

  assetClass (defined in Product.model group), primaryAssetClass (defined in Product.model group), productId (defined in Product.model group), productId (defined in Product.model group), | productId (defined in Product.model group), productType (defined in Product.model group), productType (defined in Product.model group), secondaryAssetClass (defined in Product.model group)

Known Usage Locations

- In definitions of global complexTypes (2):
  Product, TradeDetails

XML Source (w/o annotations (8); see within schema source)

<xsd:group name="Product.model"> <xsd:sequence> <xsd:choice minOccurs="0"> <xsd:sequence> <xsd:element name="primaryAssetClass" type="AssetClass"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="secondaryAssetClass" type="AssetClass"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="productType" type="ProductType"/> <!-- end BAL 2011-02-20 --> <xsd:element maxOccurs="unbounded" minOccurs="0" name="productId" type="ProductId"/> </xsd:sequence> <xsd:sequence fpml-annotation:deprecated="true" fpml-annotation:deprecatedReason="The assetClass element has been moved to before productType; this is retained for backward compatibility"> <xsd:choice> <xsd:sequence> <xsd:element maxOccurs="unbounded" name="productType" type="ProductType"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="productId" type="ProductId"/> </xsd:sequence> <xsd:element maxOccurs="unbounded" name="productId" type="ProductId"/> </xsd:choice> <xsd:element fpml-annotation:deprecated="true" fpml-annotation:deprecatedReason="This element has been moved to before productType" maxOccurs="unbounded" minOccurs="0" name="assetClass" type="AssetClass"/> </xsd:sequence> </xsd:choice> </xsd:sequence> </xsd:group>

Content Element Detail (all declarations; defined within this component only; 8/8)
assetClass

  Type: | AssetClass, simple content

  A classification of the risk class of the trade. FpML defines a simple asset class categorization using a coding scheme.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element fpml-annotation:deprecated="true" fpml-annotation:deprecatedReason="This element has been moved to before productType" maxOccurs="unbounded" minOccurs="0" name="assetClass" type="AssetClass"/>

primaryAssetClass

  Type: | AssetClass, simple content

  A classification of the most important risk class of the trade. FpML defines a simple asset class categorization using a coding scheme.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="primaryAssetClass" type="AssetClass"/>

productId

  Type: | ProductId, simple content

  A product reference identifier. The product ID is an identifier that describes the key economic characteristics of the trade type, with the exception of concepts such as size (notional, quantity, number of units) and price (fixed rate, strike, etc.) that are negotiated for each transaction. It can be used to hold identifiers such as the "UPI" (universal product identifier) required by certain regulatory reporting rules. It can also be used to hold identifiers of benchmark products or product temnplates used by certain trading systems or facilities. FpML does not define the domain values associated with this element. Note that the domain values for this element are not strictly an enumerated list.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="productId" type="ProductId"/>

productId

  Type: | ProductId, simple content

  A product reference identifier. The product ID is an identifier that describes the key economic characteristics of the trade type, with the exception of concepts such as size (notional, quantity, number of units) and price (fixed rate, strike, etc.) that are negotiated for each transaction. It can be used to hold identifiers such as the "UPI" (universal product identifier) required by certain regulatory reporting rules. It can also be used to hold identifiers of benchmark products or product temnplates used by certain trading systems or facilities. FpML does not define the domain values associated with this element. Note that the domain values for this element are not strictly an enumerated list.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="productId" type="ProductId"/>

productId

  Type: | ProductId, simple content

  A product reference identifier. The product ID is an identifier that describes the key economic characteristics of the trade type, with the exception of concepts such as size (notional, quantity, number of units) and price (fixed rate, strike, etc.) that are negotiated for each transaction. It can be used to hold identifiers such as the "UPI" (universal product identifier) required by certain regulatory reporting rules. It can also be used to hold identifiers of benchmark products or product temnplates used by certain trading systems or facilities. FpML does not define the domain values associated with this element. Note that the domain values for this element are not strictly an enumerated list.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" name="productId" type="ProductId"/>

productType

  Type: | ProductType, simple content

  A classification of the type of product. FpML defines a simple product categorization using a coding scheme.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="productType" type="ProductType"/>

productType

  Type: | ProductType, simple content

  A classification of the type of product. FpML defines a simple product categorization using a coding scheme.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" name="productType" type="ProductType"/>

secondaryAssetClass

  Type: | AssetClass, simple content

  A classification of additional risk classes of the trade, if any. FpML defines a simple asset class categorization using a coding scheme.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="secondaryAssetClass" type="AssetClass"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.